import { EventEmitter } from '../../stencil.core';
import { AxisConfig, AxisConfigs, AxisDimension, CoordinateData, Dims, FormatType } from '../../types/types';
export declare class Axis {
    /**
     * Flags the axis as either the `"x"` or `"y"` axis.
     * Default is x.
     */
    dimension: AxisDimension;
    /**
     * Axis label formatting function, overrides default formatter derived from `type`
     */
    formatter: (v: any) => string;
    /**
     * The data type of the axis.
     * Options are: 'date' | 'number' | 'string' | 'percent' | 'currency';
     */
    type: FormatType;
    /**
     * Is the axis visible
     */
    show: boolean;
    /**
     * If true will show the hashes in the axis (x only)
     */
    ticks: boolean;
    /**
     * Emitted when the axis loads
     */
    anjAxisDidLoad: EventEmitter<AxisConfig>;
    componentDidLoad(): void;
    componentDidUpdate(): void;
    /** @internal */
    init(svg: any, dims: Dims, data: CoordinateData[], axisConfigs: AxisConfigs, minMax: any, primarySeries?: any, y?: any): Promise<any>;
    private emitAxisPackage;
}
